Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const utils_1 = require("app/utils");
const getDynamicText_1 = (0, tslib_1.__importDefault)(require("app/utils/getDynamicText"));
const forms = [
    {
        // Form "section"/"panel"
        title: 'Application Details',
        fields: [
            {
                name: 'name',
                type: 'string',
                required: true,
                // additional data/props that is related to rendering of form field rather than data
                label: 'Name',
                help: 'e.g. My Application',
                setValue: value => (0, getDynamicText_1.default)({ value, fixed: 'CI_APPLICATION_NAME' }),
            },
            {
                name: 'homepageUrl',
                type: 'string',
                required: false,
                label: 'Homepage',
                placeholder: 'e.g. https://example.com/',
                help: "An optional link to your application's homepage",
            },
            {
                name: 'privacyUrl',
                type: 'string',
                label: 'Privacy Policy',
                placeholder: 'e.g. https://example.com/privacy',
                help: 'An optional link to your Privacy Policy',
            },
            {
                name: 'termsUrl',
                type: 'string',
                label: 'Terms of Service',
                placeholder: 'e.g. https://example.com/terms',
                help: 'An optional link to your Terms of Service agreement',
            },
        ],
    },
    {
        title: 'Security',
        fields: [
            {
                name: 'redirectUris',
                type: 'string',
                multiline: true,
                placeholder: 'e.g. https://example.com/oauth/complete',
                label: 'Authorized Redirect URIs',
                help: 'Separate multiple entries with a newline.',
                getValue: val => (0, utils_1.extractMultilineFields)(val),
                setValue: val => (0, utils_1.convertMultilineFieldValue)(val),
            },
            {
                name: 'allowedOrigins',
                type: 'string',
                multiline: true,
                placeholder: 'e.g. example.com',
                label: 'Authorized JavaScript Origins',
                help: 'Separate multiple entries with a newline.',
                getValue: val => (0, utils_1.extractMultilineFields)(val),
                setValue: val => (0, utils_1.convertMultilineFieldValue)(val),
            },
        ],
    },
];
exports.default = forms;
//# sourceMappingURL=apiApplication.jsx.map